members.dev
Users

Create User

POST
/v1/users

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/users" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "name": "John Doe",
  "external_id": "ext_abc123",
  "id": "usr_01KKSMB47VYGW97GFE67VGDK7M",
  "created_at": null,
  "updated_at": null,
  "emails": [
    {
      "id": "uem_01KKSMB47VYGW97GFE67VGDK7M",
      "email": "user@example.com",
      "is_default": true
    }
  ],
  "addresses": [
    {
      "id": "uad_01KKSMB47VYGW97GFE67VGDK7M",
      "recipient_name": "string",
      "address_line_1": "string",
      "address_line_2": "string",
      "city": "string",
      "administrative_area": "string",
      "postal_code": "string",
      "country_code": "string",
      "is_default": true
    }
  ],
  "phones": [
    {
      "id": "uph_01KKSMB47VYGW97GFE67VGDK7M",
      "number": "string",
      "country_code": "string",
      "is_default": true
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}